Bug 505757 - file does not identify properly some pcf.gz files shipped in japanese-bitmap-fonts
file does not identify properly some pcf.gz files shipped in japanese-bitmap-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: japanese-bitmap-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-06-13 11:24 EDT by Nicolas Mailhot
Modified: 2009-06-24 15:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.20080710-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-06-13 11:24:01 EDT
Description of problem:

file -z thinks several font files in
japanese-bitmap-fonts-0.20080710-5.fc11.noarch.rpm
are of the type "empty" (for example knmhn12x.pcf)

When gunziped manually it correctly identifies them as X11 Portable Compiled Font data. But this step should not be required

Version-Release number of selected component (if applicable):
file-5.03-2.fc12.x86_64
Comment 1 Nicolas Mailhot 2009-06-13 11:50:44 EDT
Full list

 ./usr/share/fonts/japanese-bitmap/kaname-latin1.pcf.gz	empty	japanese-bitmap-fonts-0.20080710-5.fc11.noarch.rpm
 ./usr/share/fonts/japanese-bitmap/knm12p.pcf.gz	empty	japanese-bitmap-fonts-0.20080710-5.fc11.noarch.rpm
 ./usr/share/fonts/japanese-bitmap/knm12pb.pcf.gz	empty	japanese-bitmap-fonts-0.20080710-5.fc11.noarch.rpm
 ./usr/share/fonts/japanese-bitmap/knmzn12x.pcf.gz	empty	japanese-bitmap-fonts-0.20080710-5.fc11.noarch.rpm
 ./usr/share/fonts/japanese-bitmap/knmzn12xb.pcf.gz	empty	japanese-bitmap-fonts-0.20080710-5.fc11.noarch.rpm
Comment 2 Daniel Novotny 2009-06-16 10:25:05 EDT
(In reply to comment #0)

> When gunziped manually it correctly identifies them as X11 Portable Compiled
> Font data. 

seems this is not the case

[danny@f11 tmp]$ cp /usr/share/fonts/japanese-bitmap/kaname-latin1.pcf.gz .
[danny@f11 tmp]$ file kaname-latin1.pcf.gz
kaname-latin1.pcf.gz: gzip compressed data, from Unix, last modified: Fri Mar 27 08:05:07 2009, max compression
[danny@f11 tmp]$ file -z kaname-latin1.pcf.gz
kaname-latin1.pcf.gz: empty (gzip compressed data, from Unix, last modified: Fri Mar 27 08:05:07 2009, max compression)
[danny@f11 tmp]$ gunzip kaname-latin1.pcf.gz
[danny@f11 tmp]$ file kaname-latin1.pcf 
kaname-latin1.pcf: empty
[danny@f11 tmp]$

reassigning to japanese-bitmap-fonts owner: is this normal? zero-length fonts seem a bit strange...

p.s. there are also some fonts in the directory, which do not gunzip to empty files, and those are correctly identified by "file -z" as fonts
Comment 3 Nicolas Mailhot 2009-06-16 10:49:32 EDT
(In reply to comment #2)
> (In reply to comment #0)
> 
> > When gunziped manually it correctly identifies them as X11 Portable Compiled
> > Font data. 
> 
> seems this is not the case

Did you try  knmhn12x.pcf ? I know I tested this one and gunziping manually did make a difference on my system
Comment 4 Daniel Novotny 2009-06-16 11:06:50 EDT
> 
> Did you try  knmhn12x.pcf ? I know I tested this one and gunziping manually did
> make a difference on my system  


[danny@f11 ~]$ file -z /usr/share/fonts/japanese-bitmap/knmhn12x.pcf.gz 
/usr/share/fonts/japanese-bitmap/knmhn12x.pcf.gz: X11 Portable Compiled Font data (gzip compressed data, from Unix, last modified: Fri Mar 27 08:05:07 2009, max compression)
[danny@f11 ~]$ 

but I have a 32bit system and I see you have x86_64 packages: I can try 64bit test tomorrow
Comment 5 Daniel Novotny 2009-06-18 09:39:28 EDT
knmhn12x.pcf.gz: the same for 64bit

/root/knmhn12x.pcf.gz: X11 Portable Compiled Font data (gzip compressed data, from Unix, last modified: Fri Mar 27 08:05:07 2009, max compression)

so the files, which were deemed "empty" by file(1) are really empty files packed into pcf.gz: I don't understand purpose of empty fonts, maybe japanese-bitmap-fonts' package maintainer will tell us
Comment 6 Akira TAGOH 2009-06-18 10:19:39 EDT
Hmm, it may be just a packaging bug. the original bitmap font from upstream is the bdf format and need to convert to the pcf format at the build time. let me see what's going on.
Comment 7 Akira TAGOH 2009-06-19 06:08:19 EDT
Fixed in japanese-bitmap-fonts-0.20080710-7.fc12.
Comment 8 Fedora Update System 2009-06-19 06:12:04 EDT
japanese-bitmap-fonts-0.20080710-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/japanese-bitmap-fonts-0.20080710-7.fc11
Comment 9 Fedora Update System 2009-06-24 15:25:18 EDT
japanese-bitmap-fonts-0.20080710-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.